
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库原因-国际化VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockChangeReasonLangVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long stockChangeReasonId;

    @Schema(description = "语言 0.中文 1.英文")
    private Integer lang;

    @Schema(description = "原因")
    private String reason;

    @Schema(description = "备注")
    private String remark;

    public Long getStockChangeReasonId() {
        return stockChangeReasonId;
    }

    public void setStockChangeReasonId(Long stockChangeReasonId) {
        this.stockChangeReasonId = stockChangeReasonId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "StockChangeReasonLangVO{" +
                "stockChangeReasonId=" + stockChangeReasonId +
                ",lang=" + lang +
                ",reason=" + reason +
                ",remark=" + remark +
                '}';
    }
}
